> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.apologist.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.apologist.ai/_mcp/server.

# List Conversations

GET https://your-agent-domain.com/api/v1/conversations

Returns a paginated list of conversations for the requesting agent, newest first.

Reference: https://docs.apologist.ai/agent-api/api-reference/conversations/list-conversations

## Authentication

- `x-api-key` header (required) — API key for authentication
- `Authorization` header (bearer token, required) — Bearer token authentication

## Request

### Query parameters

- `page` (integer, optional, default: 1)
- `per_page` (integer, optional, default: 50) — Results per page (clamped to 100).

## Response

### 200

Paginated list of conversations

- `data` (list of object, optional)
  - `id` (string, optional) — Internal conversation id (UUID).
  - `external_id` (string, optional, nullable) — Team-scoped external conversation id.
  - `agent_id` (integer, optional)
  - `team_id` (integer, optional)
  - `tags` (map from string to any, optional, nullable)
  - `started_at` (string, optional)
  - `ended_at` (string, optional, nullable)
  - `agent_paused` (boolean, optional)
  - `agent_paused_at` (string, optional, nullable)
  - `agent_resumed_at` (string, optional, nullable)
- `total` (integer, optional)
- `page` (integer, optional)
- `per_page` (integer, optional)

## Errors

### 403 Forbidden Error

Forbidden - Invalid or missing API key

- `any`

### 500 Internal Server Error

Internal Server Error

- `any`

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "string",
      "external_id": "string",
      "agent_id": 1,
      "team_id": 1,
      "tags": {},
      "started_at": "string",
      "ended_at": "string",
      "agent_paused": true,
      "agent_paused_at": "string",
      "agent_resumed_at": "string"
    }
  ],
  "total": 1,
  "page": 1,
  "per_page": 1
}
```

**SDK Code**

```typescript
import { ApologistAgentClient } from "apologist";

async function main() {
    const client = new ApologistAgentClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.conversations.listConversations({});
}
main();

```

```python
from apologist import ApologistAgentClient

client = ApologistAgentClient(
    api_key="YOUR_API_KEY_HERE",
)

client.conversations.list_conversations()

```

```java
package com.example.usage;

import ai.apologist.AgentClient;
import ai.apologist.resources.conversations.requests.ListConversationsRequest;

public class Example {
    public static void main(String[] args) {
        AgentClient client = AgentClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.conversations().listConversations(
            ListConversationsRequest
                .builder()
                .build()
        );
    }
}
```

```ruby
require "apologist"

client = Apologist::AgentClient.new(api_key: "YOUR_API_KEY_HERE")

client.conversations.list_conversations

```

```csharp
using Apologist;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new AgentClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Conversations.ListConversationsAsync(
            new ListConversationsRequest()
        );
    }

}

```

```go
package example

import (
    context "context"

    apgsdkgo "github.com/apologist-project/apg-sdk-go"
    client "github.com/apologist-project/apg-sdk-go/client"
    option "github.com/apologist-project/apg-sdk-go/option"
)

func do() {
    client := client.NewApologistAgentClient(
        option.WithAPIKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &apgsdkgo.ListConversationsRequest{}
    client.Conversations.ListConversations(
        context.TODO(),
        request,
    )
}

```

```php
<?php

namespace Example;

use Apologist\AgentClient;
use Apologist\Conversations\Requests\ListConversationsRequest;

$client = new AgentClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->conversations->listConversations(
    new ListConversationsRequest([]),
);

```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://your-agent-domain.com/api/v1/conversations")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```